# Maps icon name to the dir name.
CLASSIC_MAP = {
    'about': '13_extra_actions_about',
    'accept': '01_core_accept',
    'accounts': '10_device_access_accounts',
    'add_alarm': '10_device_access_add_alarm',
    'add_group': '06_social_add_group',
    'add_person': '06_social_add_person',
    'add_to_queue': '09_media_add_to_queue',
    'airplane_mode_off': '10_device_access_airplane_mode_off',
    'airplane_mode_on': '10_device_access_airplane_mode_on',
    'alarms': '10_device_access_alarms',
    'attachment': '05_content_attachment',
    'back': '02_navigation_back',
    'backspace': '05_content_backspace',
    'bad': '03_rating_bad',
    'battery': '10_device_access_battery',
    'bightness_low': '10_device_access_bightness_low',
    'bluetooth': '10_device_access_bluetooth',
    'bluetooth_connected': '10_device_access_bluetooth_connected',
    'bluetooth_searching': '10_device_access_bluetooth_searching',
    'brightness_auto': '10_device_access_brightness_auto',
    'brightness_high': '10_device_access_brightness_high',
    'brightness_medium': '10_device_access_brightness_medium',
    'call': '01_core_call',
    'camera': '08_camera_camera',
    'cancel': '01_core_cancel',
    'cast': '09_media_cast',
    'cc_bcc': '06_social_cc_bcc',
    'chat': '06_social_chat',
    'cloud': '04_collections_cloud',
    'collapse': '02_navigation_collapse',
    'collection': '04_collections_collection',
    'computer': '11_hardware_computer',
    'copy': '01_core_copy',
    'crop': '08_camera_crop',
    'cut': '01_core_cut',
    'data_usage': '10_device_access_data_usage',
    'dial_pad': '10_device_access_dial_pad',
    'directions': '07_location_directions',
    'discard': '01_core_discard',
    'dock': '11_hardware_dock',
    'download': '09_media_download',
    'edit': '01_core_edit',
    'email': '05_content_email',
    'end_call': '10_device_access_end_call',
    'error': '12_alerts_and_states_error',
    'event': '05_content_event',
    'expand': '02_navigation_expand',
    'fast_forward': '09_media_fast_forward',
    'favorite': '03_rating_favorite',
    'flash_automatic': '08_camera_flash_automatic',
    'flash_off': '08_camera_flash_off',
    'flash_on': '08_camera_flash_on',
    'forward': '06_social_forward',
    'full_screen': '09_media_full_screen',
    'gamepad': '11_hardware_gamepad',
    'go_to_today': '04_collections_go_to_today',
    'good': '03_rating_good',
    'group': '06_social_group',
    'half_important': '03_rating_half_important',
    'headphones': '11_hardware_headphones',
    'headset': '11_hardware_headset',
    'help': '13_extra_actions_help',
    'import_export': '05_content_import_export',
    'important': '03_rating_important',
    'keyboard': '11_hardware_keyboard',
    'labels': '04_collections_labels',
    'location_found': '07_location_location_found',
    'location_off': '07_location_location_off',
    'location_searching': '07_location_location_searching',
    'make_available_offline': '09_media_make_available_offline',
    'map': '07_location_map',
    'merge': '05_content_merge',
    'mic': '08_camera_mic',
    'mic_muted': '08_camera_mic_muted',
    'mouse': '11_hardware_mouse',
    'network_cell': '10_device_access_network_cell',
    'network_wifi': '10_device_access_network_wifi',
    'new': '01_core_new',
    'new_account': '10_device_access_new_account',
    'new_attachment': '05_content_new_attachment',
    'new_email': '05_content_new_email',
    'new_event': '05_content_new_event',
    'new_label': '04_collections_new_label',
    'new_picture': '05_content_new_picture',
    'next': '09_media_next',
    'next_item': '02_navigation_next_item',
    'not_important': '03_rating_not_important',
    'not_secure': '10_device_access_not_secure',
    'overflow': '01_core_overflow',
    'paste': '01_core_paste',
    'pause': '09_media_pause',
    'pause_over_video': '09_media_pause_over_video',
    'person': '06_social_person',
    'phone': '11_hardware_phone',
    'picture': '05_content_picture',
    'place': '07_location_place',
    'play': '09_media_play',
    'play_over_video': '09_media_play_over_video',
    'previous': '09_media_previous',
    'previous_item': '02_navigation_previous_item',
    'read': '05_content_read',
    'refresh': '01_core_refresh',
    'remove': '01_core_remove',
    'repeat': '09_media_repeat',
    'replay': '09_media_replay',
    'reply': '06_social_reply',
    'reply_all': '06_social_reply_all',
    'return_from_full_screen': '09_media_return_from_full_screen',
    'rewind': '09_media_rewind',
    'ring_volume': '10_device_access_ring_volume',
    'rotate_left': '08_camera_rotate_left',
    'rotate_right': '08_camera_rotate_right',
    'save': '05_content_save',
    'screen_locked_to_landscape': '10_device_access_screen_locked_to_landscape',
    'screen_locked_to_portrait': '10_device_access_screen_locked_to_portrait',
    'screen_rotation': '10_device_access_screen_rotation',
    'sd_storage': '10_device_access_sd_storage',
    'search': '01_core_search',
    'secure': '10_device_access_secure',
    'select_all': '01_core_select_all',
    'send_now': '06_social_send_now',
    'settings': '13_extra_actions_settings',
    'share': '01_core_share',
    'shuffle': '09_media_shuffle',
    'slideshow': '09_media_slideshow',
    'sort_by_size': '04_collections_sort_by_size',
    'split': '05_content_split',
    'stop': '09_media_stop',
    'storage': '10_device_access_storage',
    'switch_camera': '08_camera_switch_camera',
    'switch_video': '08_camera_switch_video',
    'time': '10_device_access_time',
    'undo': '01_core_undo',
    'unread': '05_content_unread',
    'upload': '09_media_upload',
    'usb': '10_device_access_usb',
    'video': '08_camera_video',
    'view_as_grid': '04_collections_view_as_grid',
    'view_as_list': '04_collections_view_as_list',
    'volume_muted': '09_media_volume_muted',
    'volume_on': '09_media_volume_on',
    'warning': '12_alerts_and_states_warning',
    'web_site': '07_location_web_site',
}
